<h1 class="con_heading"><?php echo $item['title']; ?></h1>
<div class="bd_item_details_full">
    <?php if(!empty($item['is_vip'])): ?>
        <span class="bd_item_is_vip"><?php echo $_LANG['VIP_ITEM']; ?></span>
    <?php endif; ?>
	<span class="bd_item_date"><?php echo $item['pubdate']; ?></span>
    <span class="bd_item_hits"><?php echo $item['hits']; ?></span>
	<?php if(!empty($item['city'])): ?>
		<span class="bd_item_city">
			<a href="/board/city/<?php echo $item['enc_city']; ?>"><?php echo $item['city']; ?></a>
		</span>
	<?php endif; ?>
	<?php if(!empty($item['user'])): ?>
		<span class="bd_item_user">
			<a href="<?php echo cmsUser::getProfileURL($item['user_login']); ?>"><?php echo $item['user']; ?></a>
		</span>
	<?php else: ?>
    	<span class="bd_item_user"><?php echo $_LANG['BOARD_GUEST']; ?></span>
	<?php endif; ?>
	<?php if(!empty($item['moderator'])): ?>
		<span class="bd_item_edit"><a href="/board/edit<?php echo $item['id']; ?>.html"><?php echo $_LANG['EDIT']; ?></a></span>
        <?php if( empty($item['published']) && ( !empty($is_admin) || !empty($is_moder) )): ?>
        	<span class="bd_item_publish"><a href="/board/publish<?php echo $item['id']; ?>.html"><?php echo $_LANG['PUBLISH']; ?></a></span>
        <?php endif; ?>
		<span class="bd_item_delete"><a href="/board/delete<?php echo $item['id']; ?>.html"><?php echo $_LANG['DELETE']; ?></a></span>
	<?php endif; ?>
</div>

<table width="100%" height="" cellspacing="" cellpadding="0" class="bd_item_full">
	<tr>
		<?php if(!empty($item['file']) && !empty($cfg['photos'])): ?>
			<td width="64">
					<img class="bd_image_small" src="/images/board/medium/<?php echo $item['file']; ?>" border="0" alt="<?php echo htmlspecialchars($item['title']); ?>"/>
			 </td>
		<?php endif; ?>
		<td valign="top">
			<div class="bd_text_full">
            	<p><?php echo $item['content']; ?></p>
                <?php if(!empty($formsdata)): ?>
                    <table width="100%" cellspacing="0" cellpadding="2" style="border-top:1px solid #C3D6DF; margin:5px 0 0 0">
                        <?php foreach ($formsdata as $tid => $form): ?>
                        <?php if(!empty($form['field'])): ?>
                            <tr>
                                <td valign="top" width="140px">
                                    <strong><?php echo $form['title']; ?>:</strong>
                                </td>
                                <td valign="top">
                                    <?php echo $form['field']; ?>
                                </td>
                            </tr>
                        <?php endif; ?>
                        <?php endforeach; ?>
                     </table>
                <?php endif; ?>
            </div>
		</td>
	</tr>
</table>

<div class="bd_links">
	<?php if(!empty($user_id)): ?>
		<?php if(!empty($item['user']) &&  empty($item['user_is_deleted']) && $item['user_id'] != $user_id): ?>
            <?php cmsPage::getInstance()->addHeadJS('components/users/js/profile.js'); ?>
			<span class="bd_message"><a class="ajaxlink" title="<?php echo $_LANG['WRITE_MESS_TO_AVTOR']; ?>" href="javascript:void(0)" onclick="users.sendMess('<?php echo $item['user_id']; ?>', 0, this);return false;"><?php echo $_LANG['WRITE_MESS_TO_AVTOR']; ?></a></span>
		<?php endif; ?>
	<?php endif; ?>
    <?php if(!empty($item['user_login'])): ?>
	<span class="bd_author"><a href="/board/by_user_<?php echo $item['user_login']; ?>"><?php echo $_LANG['ALL_AVTOR_ADVS']; ?></a></span>
    <?php endif; ?>
</div>

<?php if(!empty($cfg['comments'])): ?>
    <?php echo self::comments(array('target' => 'boarditem','target_id' => $item['id'])); ?>
<?php endif; ?>
