<table class="forum_poll_table" width="100%" cellspacing="2" cellpadding="7" border="0">
<tr>
    <td class="darkBlue-LightBlue" width="100%" colspan="2">
        <div class="forum_poll_title"><?php echo $thread_poll['title']; ?></div>
        <div class="forum_poll_desc"><?php echo $thread_poll['description']; ?></div>
    </td>
</tr>
<?php if( empty($user_id) && ( $thread_poll['options']['result'] == 1 || ( $thread_poll['options']['result'] == 2 &&  empty($thread_poll['is_closed']) ) )): ?>
    <tr>
        <td class="forum_poll_data" width="100%" colspan="2">
            <?php echo $_LANG['GUESTS_NOT_VOTE']; ?>
        </td>
    </tr>
<?php else: ?>
    <tr>
        <td class="forum_poll_data" width="30%" valign="top">
        <?php if( empty($thread_poll['show_result']) && !empty($thread['closed']) && $thread_poll['options']['result'] == 1 &&  empty($thread_poll['is_user_vote'])): ?>
            <?php echo $_LANG['YOU_IS_NOT_VOTE_IN_CLOSED']; ?>
        <?php elseif( empty($thread_poll['show_result']) && is_string ( !empty($thread_poll['is_user_vote']) ) && $thread_poll['options']['result'] == 2 &&  empty($thread_poll['is_closed']) &&  empty($thread['closed'])): ?>
            <?php echo $_LANG['YOU_IS_VOTE']; ?>
        <?php elseif( empty($thread_poll['show_result']) &&  empty($thread_poll['is_user_vote']) &&  empty($thread['closed']) &&  empty($thread_poll['is_closed'])): ?>
            <form action="/forum/vote_poll" method="post" id="forum_poll_submit_form">
                <input type="hidden" name="csrf_token" value="<?php echo cmsUser::getCsrfToken(); ?>" />
                <input type="hidden" name="poll_id" value="<?php echo $thread_poll['id']; ?>" />
                <input type="hidden" name="id" id="thread_id" value="<?php echo $thread['id']; ?>" />
                <table>
                <?php foreach ($thread_poll['answers'] as $answer => $num): ?>
                    <tr>
                      <td class="mod_poll_answer">
                          <label>
                              <input name="answer" type="radio" value="<?php echo htmlspecialchars($answer); ?>" /> <?php echo $answer; ?>
                          </label>
                      </td>
                    </tr>
                 <?php endforeach; ?>
                 </table>
                 <div class="forum_poll_submit"><input id="forum_poll_submit" type="button" value="<?php echo $_LANG['VOTING']; ?>" onclick="threadPollSubmit();"></div>
             </form>
             <script type="text/javascript" src="/includes/jquery/jquery.form.js"></script>
            <script type="text/javascript">
                var LANG_ATTENTION = '<?php echo $_LANG['ATTENTION']; ?>';
            
            function threadPollSubmit(){
                $('#forum_poll_submit').prop('disabled', true);
                var options = {
                    success: loadForumPoll
                };
                $('#forum_poll_submit_form').ajaxSubmit(options);
            }
            function loadForumPoll(result, statusText, xhr, $form){
                if(statusText == 'success'){
                    if(result.error == false){
                        thread_id = $('#thread_id').val();
                        $.post('/forum/viewpoll'+thread_id, { }, function(data){
                            $('#thread_poll').html(data);
                        });
                    } else {
                        core.alert(result.text, LANG_ATTENTION);
                        $('#forum_poll_submit').prop('disabled', false);
                    }
                }

            }
            

            </script>
        <?php else: ?>
            <?php foreach ($thread_poll['answers'] as $answer => $num): ?>

                <?php $percent = ($num/$thread_poll['vote_count']*100); ?>

                <span class="forum_poll_gauge_title"><?php echo $answer; ?> (<?php echo $num; ?>)</span>
                <?php if($percent > 0): ?>
                    <table class="mod_poll_gauge" width="<?php echo ceil($percent); ?>%"><tr><td></td></tr></table>
                <?php else: ?>
                    <table class="mod_poll_gauge" width="5"><tr><td></td></tr></table>
                <?php endif; ?>

            <?php endforeach; ?>
        <?php endif; ?>
        </td>
        <td width="" valign="top">
            <div class="forum_poll_param"><strong><?php echo $_LANG['TOTAL_VOTES']; ?>:</strong> <?php echo $thread_poll['vote_count']; ?></div>

            <?php if( empty($thread_poll['is_closed']) &&  empty($thread['closed'])): ?>
                <div class="forum_poll_param"><strong><?php echo $_LANG['END_DATE_POLL']; ?>:</strong> <?php echo $thread_poll['fenddate']; ?></div>
                <div class="forum_poll_param"><strong><?php echo $_LANG['RESULTS']; ?>:</strong> <?php echo $thread_poll['options']['result_text']; ?></div>
                <div class="forum_poll_param"><strong><?php echo $_LANG['ANSWER_CHANGING']; ?>:</strong> <?php echo $thread_poll['options']['change_text']; ?></div>

                <?php if( empty($thread_poll['is_user_vote']) &&  empty($thread_poll['options']['result'])): ?>
                    <?php if($do == 'thread'): ?>
                        <div class="forum_poll_param"><a class="ajaxlink" href="javascript:" onclick="forum.loadForumPoll(<?php echo $thread['id']; ?>, 1);"><?php echo $_LANG['RESULT_POLL']; ?></a></div>
                    <?php elseif($do == 'view_poll'): ?>
                        <div class="forum_poll_param"><a class="ajaxlink" href="javascript:" onclick="forum.loadForumPoll(<?php echo $thread['id']; ?>, 0);"><?php echo $_LANG['REMOVE_RESULT']; ?></a></div>
                    <?php endif; ?>
                <?php endif; ?>

                <?php if(is_string ( !empty($thread_poll['is_user_vote']) ) && !empty($thread_poll['options']['change'])): ?>
                    <div class="forum_poll_param"><a class="ajaxlink" href="javascript:" onclick="forum.revotePoll(<?php echo $thread['id']; ?>);"><?php echo $_LANG['CHANGE_VOTE']; ?></a></div>
                <?php endif; ?>

                <?php if(!empty($is_admin) || !empty($is_moder)): ?>
                    <div class="forum_poll_param"><a class="ajaxlink" href="javascript:" onclick="forum.deletePoll(<?php echo $thread['id']; ?>, '<?php echo cmsUser::getCsrfToken(); ?>');"><?php echo $_LANG['DELETE_POLL']; ?></a></div>
                <?php endif; ?>

            <?php else: ?>
                <div class="forum_poll_param" style="color:#660000"><strong><?php echo $_LANG['POLL_FINISHED']; ?></strong></div>
            <?php endif; ?>

            <?php if(is_string ( !empty($thread_poll['is_user_vote']) )): ?>
                <div class="forum_poll_param"><strong><?php echo $_LANG['YOUR_ANSWER']; ?>:</strong> <?php echo $thread_poll['is_user_vote']; ?></div>
            <?php endif; ?>

            <?php if(!empty($user_id) &&  empty($thread['closed'])): ?>
                <div class="forum_poll_param"><a href="/forum/reply<?php echo $thread['id']; ?>.html"><?php echo $_LANG['COMMENT_POLL']; ?></a></div>
            <?php endif; ?>

        </td>
    </tr>
<?php endif; ?>
</table>