<?php if($album['id'] == $root_album_id && !empty($cfg['showlat'])): ?>
<div class="float_bar">
    <table border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="23"><img src="/templates/<?php echo TEMPLATE; ?>/images/icons/calendar.png" /></td>
        <td style="padding-right: 10px"><a href="/photos/latest.html"><?php echo $_LANG['LAST_UPLOADED']; ?></a></td>
        <td width="23"><img src="/templates/<?php echo TEMPLATE; ?>/images/icons/rating.png" /></td>
        <td><a href="/photos/top.html"><?php echo $_LANG['BEST_PHOTOS']; ?></a></td>
      </tr>
    </table>
</div>
<?php elseif($album['id'] != $root_album_id && !empty($album['orderform'])): ?>

    <div class="float_bar">
        <form action="" method="POST" style="float: left">
            <?php echo $_LANG['SORTING_PHOTOS']; ?>:
            <select name="orderby" id="orderby">
                <option value="title" <?php if($orderby == 'title'): ?> selected <?php endif; ?>><?php echo $_LANG['ORDERBY_TITLE']; ?></option>
                <option value="pubdate" <?php if($orderby == 'pubdate'): ?> selected <?php endif; ?>><?php echo $_LANG['ORDERBY_DATE']; ?></option>
                <option value="rating" <?php if($orderby == 'rating'): ?> selected <?php endif; ?>><?php echo $_LANG['ORDERBY_RATING']; ?></option>
                <option value="hits" <?php if($orderby == 'hits'): ?> selected <?php endif; ?>><?php echo $_LANG['ORDERBY_HITS']; ?></option>
            </select>
            <select name="orderto" id="orderto">
                <option value="desc" <?php if($orderto == 'desc'): ?> selected <?php endif; ?>><?php echo $_LANG['ORDERBY_DESC']; ?></option>
                <option value="asc" <?php if($orderto == 'asc'): ?> selected <?php endif; ?>><?php echo $_LANG['ORDERBY_ASC']; ?></option>
            </select>
            <input type="submit" value=">>" />
        </form>
        <?php if(!empty($can_add_photo)): ?>
            <a class="photo_add_link" href="/photos/<?php echo $album['id']; ?>/addphoto.html"><?php echo $_LANG['ADD_PHOTO_TO_ALBUM']; ?></a>
        <?php endif; ?>
    </div>

<?php elseif(!empty($can_add_photo) && $album['parent_id'] > 0): ?>
	<div class="float_bar"><a class="photo_add_link" href="/photos/<?php echo $album['id']; ?>/addphoto.html"><?php echo $_LANG['ADD_PHOTO_TO_ALBUM']; ?></a></div>
<?php endif; ?>

<h1 class="con_heading"><?php echo $album['title']; ?> <?php if(!empty($total)): ?>(<?php echo $total; ?>)<?php endif; ?></h1>

<div class="clear"></div>
<?php if(!empty($album['description'])): ?>
	<p class="usr_photos_notice"><?php echo nl2br($album['description']); ?></p>
<?php endif; ?>
<?php if(!empty($subcats)): ?>
    <?php $col = 1; ?>
        <?php foreach ($subcats as $tid => $cat): ?>
        <?php if($col == 1): ?><div class="photo_row"><?php endif; ?>
            <div class="photo_album_tumb">
                <div class="photo_container">
                    <a href="/photos/<?php echo $cat['id']; ?>"><img class="photo_album_img" src="/images/photos/small/<?php echo $cat['file']; ?>" alt="<?php echo htmlspecialchars($cat['title']); ?>" border="0" width="<?php echo $cat['thumb1']; ?>px" /></a>
                </div>
                <div class="photo_txt">
                    <ul>
                        <li class="photo_album_title"><a href="/photos/<?php echo $cat['id']; ?>"><?php echo $cat['title']; ?></a> (<?php echo $cat['content_count']; ?>)</li>
                        <?php if(!empty($cat['description'])): ?><li><?php echo $cat['description']; ?></li><?php endif; ?>
                    </ul>
                </div>
            </div>

         <?php if($col == $cfg['maxcols']): ?><div class="blog_desc"></div></div> <?php $col = 1; ?> <?php else: ?> <?php $col = $col + 1; ?>  <?php endif; ?>

        <?php endforeach; ?>
        <?php if($col > 1): ?>
            <div class="blog_desc"></div></div>
        <?php endif; ?>
<?php endif; ?>

<?php if(!empty($photos)): ?>
<?php $col = 1; ?>
<div class="photo_gallery">
    <table cellpadding="0" cellspacing="0" border="0">
    <?php foreach ($photos as $tid => $photo): ?>
        <?php if($col == 1): ?> <tr> <?php endif; ?>
        <td align="center" valign="middle" width="<?php echo floor(100/$album['maxcols']); ?>%">
            <div class="<?php echo $album['cssprefix']; ?>photo_thumb" align="center">
                <?php if($album['showtype'] == 'lightbox'): ?>
                <a class="lightbox-enabled" rel="lightbox-galery" href="/images/photos/medium/<?php echo $photo['file']; ?>" title="<?php echo htmlspecialchars($photo['title']); ?>">
                <?php else: ?>
                <a href="/photos/photo<?php echo $photo['id']; ?>.html" title="<?php echo htmlspecialchars($photo['title']); ?>">
                <?php endif; ?>
                    <img class="photo_thumb_img" src="/images/photos/small/<?php echo $photo['file']; ?>" alt="<?php echo htmlspecialchars($photo['title']); ?>" border="0" />
                </a><br />
                <a href="/photos/photo<?php echo $photo['id']; ?>.html" title="<?php echo htmlspecialchars($photo['title']); ?>"><?php echo self::truncate($photo['title'], 18); ?></a>
                <?php if(!empty($album['showdate'])): ?>
                    <div class="mod_lp_albumlink"><div class="mod_lp_details">
                    <table cellpadding="2" cellspacing="0" align="center" border="0"><tr>
                        <td><img src="/templates/<?php echo TEMPLATE; ?>/images/icons/calendar.png" border="0"/></td>
                        <td><?php echo $photo['pubdate']; ?></td>
                        <td><img src="/templates/<?php echo TEMPLATE; ?>/images/icons/comment-small.png" border="0"/></td>
                        <td><a href="/photos/photo<?php echo $photo['id']; ?>.html#c" title="<?php echo cmsCore::spellCount($photo['comments'], $_LANG['COMMENT1'], $_LANG['COMMENT2'], $_LANG['COMMENT10']); ?>"><?php echo $photo['comments']; ?></a></td>
                    </tr></table>
                    </div></div>
                <?php endif; ?>
                <?php if( empty($photo['published'])): ?>
                    <div style="color:#F00; font-size:12px"><?php echo $_LANG['WAIT_MODERING']; ?></div>
                <?php endif; ?>
        	</div>
        </td>
    <?php if($col == $album['maxcols']): ?> </tr> <?php $col = 1; ?> <?php else: ?> <?php $col = $col + 1; ?> <?php endif; ?>
    <?php endforeach; ?>
    <?php if($col > 1): ?>
        <td colspan="<?php echo $col - $album['maxcols'] + 1; ?>">&nbsp;</td></tr>
    <?php endif; ?>
    </table>
</div>
<?php echo $pagebar; ?>
<?php else: ?>
	<?php if($album['parent_id'] > 0): ?><p><?php echo $_LANG['NOT_PHOTOS_IN_ALBUM']; ?></p><?php endif; ?>
<?php endif; ?>